jQuery(document).ready(function($) {
	
	/**
	* Datepicker Field.
	*
	* @since 1.0
	*/
	jQuery('.wpsd-meta-date').each( function() {
	
		var jQuerythis  = jQuery(this);
	
		jQuerythis.datetimepicker({ampm: true,dateFormat : 'dd-mm-yy'});//,timeFormat:'hh:mm:ss',showSecond:true
	  
	});
  
	/**
	 * Thickbox Upload
	 *
	 * @since 1.0
	 */
	
	//new image upload field
	function load_images_muploader(){
		jQuery(".mupload_img_holder").each(function(i,v){
		  if (jQuery(this).next().next().val() != ''){
		    if (!jQuery(this).children().size() > 0){
		      jQuery(this).append('<img src="' + jQuery(this).next().next().val() + '" style="height: 150px;width: 150px;" />');
		      jQuery(this).next().next().next().val("Delete Image");
		      jQuery(this).next().next().next().removeClass('wpsd-meta-upload_image_button').addClass('wpsd-meta-delete_image_button');
		    }
		  }
		});
	}
	
	load_images_muploader();
	//delete img button
	 
	jQuery('.wpsd-meta-delete_image_button').live('click', function(e){
		jQuery(this).prev().val('');
		jQuery(this).prev().prev().val('');
		jQuery(this).prev().prev().prev().html('');
		jQuery(this).val("Upload Image");
		jQuery(this).removeClass('wpsd-meta-delete_image_button').addClass('wpsd-meta-upload_image_button');
	});
	
  	// WP 3.5+ uploader
	
	var formfield1;
    var formfield2;
    
	jQuery('.wpsd-meta-upload_image_button').live('click',function(e) {

		e.preventDefault();
		formfield1 = jQuery(this).prev();
		formfield2 = jQuery(this).prev().prev();
		var button = jQuery(this);
			
		if(typeof wp == "undefined" || Wpsd.new_media_ui != '1' ){// check for media uploader//
			 
			  tb_show('', 'media-upload.php?post_id='+ jQuery('#post_ID').val() + '&type=image&amp;TB_iframe=true');
		      //store old send to editor function
		      window.restore_send_to_editor = window.send_to_editor;
		      //overwrite send to editor function
		      window.send_to_editor = function(html) {
		      	
		        imgurl = jQuery('img',html).attr('src');
		        
		        if(jQuery('img',html).attr('class')) {
		        	
			        img_calsses = jQuery('img',html).attr('class').split(" ");
			        att_id = '';
			        jQuery.each(img_calsses,function(i,val){
			          if (val.indexOf("wp-image") != -1){
			            att_id = val.replace('wp-image-', "");
			          }
			        });
			
			        jQuery(formfield2).val(att_id);
		        }
		        
		        jQuery(formfield1).val(imgurl);
		        load_images_muploader();
		        tb_remove();
		        //restore old send to editor function
		        window.send_to_editor = window.restore_send_to_editor;
		      }
		      return false;
		      
		} else {
			
			
			var file_frame;
			
			// If the media frame already exists, reopen it.
			if ( file_frame ) {
				//file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
				file_frame.open();
			  return;
			}
	
			// Create the media frame.
			file_frame = wp.media.frames.file_frame = wp.media({
				frame: 'post',
				state: 'insert',
				title: button.data( 'uploader_title' ),
				button: {
					text: button.data( 'uploader_button_text' ),
				},
				multiple: true  // Set to true to allow multiple files to be selected
			});
	
			file_frame.on( 'menu:render:default', function(view) {
		        // Store our views in an object.
		        var views = {};
	
		        // Unset default menu items
		        view.unset('library-separator');
		        view.unset('gallery');
		        view.unset('featured-image');
		        view.unset('embed');
	
		        // Initialize the views in our view object.
		        view.set(views);
		    });
	
			// When an image is selected, run a callback.
			file_frame.on( 'insert', function() {
	
				var selection = file_frame.state().get('selection');
				selection.each( function( attachment, index ) {
					attachment = attachment.toJSON();
					if(index == 0){
						// place first attachment in field
						jQuery(formfield2).val(attachment.id);
	        			jQuery(formfield1).val(attachment.url);
	        			load_images_muploader();
					
					} else{
						
						jQuery(formfield2).val(attachment.id);
	        			jQuery(formfield1).val(attachment.url);
	        			load_images_muploader();
					}
				});
			});
	
			// Finally, open the modal
			file_frame.open();
		}
		
	}); 
	
	check_error_message();
	jQuery('.wpsd-enable').live('click',function() {
		check_error_message();
	});
	
	change_start_end_date();
	jQuery('#product-type').live('change',function() {
		change_start_end_date();
	});
	
	jQuery('#_wpsd_end_date').live('blur',function() {
		var end_date = jQuery(this).val();
		if( jQuery('.wpsd-enable').is(":checked") && end_date == '' ) {
			jQuery('#wpsd-error-message-box').addClass('wpsd-error-message').show();
		} else {
			jQuery('#wpsd-error-message-box').removeClass('wpsd-error-message').hide();
		}
	});
		
	jQuery('#_sale_price_dates_to').live('blur',function() {
		var end_date = jQuery(this).val();
		if( jQuery('.wpsd-enable').is(":checked") && end_date == '' ) {
			jQuery('#wpsd-error-message-box').addClass('wpsd-error-message').show();
		} else {
			jQuery('#wpsd-error-message-box').removeClass('wpsd-error-message').hide();
		}
	});
		
});

function check_error_message() {
	
	var product_type = jQuery('#product-type').val();
	if( product_type == 'variable' || product_type == 'grouped' ) {
		var end_date = jQuery('#_wpsd_end_date').val();
	} else {
		var end_date = jQuery('#_sale_price_dates_to').val();
	}	
	
	if( jQuery('.wpsd-enable').is(":checked") && end_date == '' ) {
		jQuery('#wpsd-error-message-box').addClass('wpsd-error-message').show();
	} else {
		jQuery('#wpsd-error-message-box').removeClass('wpsd-error-message').hide();
	}
}

function change_start_end_date() {
	
	check_error_message();
	var product_type = jQuery('#product-type').val();
	
	if( product_type == 'variable' || product_type == 'grouped' ) {
		jQuery('.wpsd-start-end-date').show();
	} else {
		jQuery('.wpsd-start-end-date').hide();
	}
}