<?php 

/**
 * Template Single Deal Timer
 * 
 * Handles to show single deal timer
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

?>

	<div class="wpsd-product-div wpsd-view-timing row-fluid">
	
		<?php if( $startdate <= $today || $startdate >= $today ) { //check deal is active or upcoming
			
				if( $startdate >= $today ) { //check deal is upcoming
		?>			<span><?php _e('This deal will start in','wpsd');?></span><br/>
		<?php 	} else { //else consider as active ?>
					<span><?php _e('This deal will end in','wpsd');?></span><br/>
		<?php	} ?>
				
			<div class="wpsd-header-timing">
				<div align="center" class="wpsd-time">
					<span class="timer-icon-big"></span>
					<span class="wpsd-days"></span>&nbsp;
					<span><?php _e('days','wpsd');?></span>&nbsp;
					<span class="wpsd-hrs"></span>&nbsp;
					<span><?php _e('hrs','wpsd');?></span>&nbsp;
					<span class="wpsd-mins"></span>&nbsp;
					<span><?php _e('mins','wpsd');?></span>&nbsp;
					<span class="wpsd-secs"></span>&nbsp;
					<span><?php _e('secs','wpsd');?></span>
				</div>
			</div>
	<?php 
			}
	?>
	
	</div>