<?php

/**
 * Home page social button google plus
 * 
 * Handles to show google plus button
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
?>

<div class="wpsd-connect-buttons">
	<div class="wpsd-gp-button">
		<g:plusone href="<?php echo $dealurl;?>" size="medium" annotation="bubble" callback="wpsd_gp_<?php echo $dealid;?>"></g:plusone>
	</div><!--wpsd-gp-button-->
		<script type="text/javascript">
			function wpsd_gp_<?php echo $dealid;?>(res){
				if(res.state == "on") {	
					var data = { 
									postid	: '<?php echo $dealid;?>',
									action	: "wpsd_update_social_media_values",
									type	: "gp"
								};
			
					jQuery.post("<?php echo admin_url('admin-ajax.php');?>", data, function(response) {
						if(response != "") {
							//window.location.reload();
							wpsd_reload();
						}
					});
				}
			}
		</script>
</div><!--wpsd-connect-buttons-->