var dealstimeflag='';
jQuery(document).ready(function($){
	
	// start code for variation change
    $(document).bind('reset_image', function ( event ) {
		$('.wpsd-deal-details').slideUp('200');
		$('.wpsd-avail-bought').slideUp('200');
	});
	$(document).bind('found_variation', function ( event, variation ) {
		var $variation_form = $(this);
		
		var stock = variation.max_qty;
		if( variation.max_qty == 0 ) {
			stock = 'Out of Stock';
		}
				
		$variation_form.find('.variations_button').find('.wpsd-add-to-cart-price').html(variation.saleprice);
		$('.deal-detail span.wpsd-product-normalprice').html(variation.normalprice);
		$('.deal-detail span.wpsd-product-discount').html(variation.discount);
		$('.deal-detail span.wpsd-product-yousave').html(variation.yousave);
		$('.wpsd-product-available span').html(stock);
		$('.wpsd-deal-details').slideDown('200');
		$('.wpsd-avail-bought').slideDown('200');
	});
	// end code for variation change
	
	//code for count down timer
	if(dealstimeflag != '') { //check time flag to run the timer
		wpsdcountdown(year,month,day,hour,minute);
	}
	  
	jQuery('.wpsd-navdeal').removeClass('wpsd-nav1').removeClass('wpsd-nav2');
	jQuery('div.wpsd-list:first').show();
	
	jQuery('.wpsd-active').live('click',function(){
		jQuery('.wpsd-navdeal span').removeClass('active');
		jQuery(this).addClass('active');
		jQuery('.wpsd-navdeal').removeClass('wpsd-nav1').removeClass('wpsd-nav2');
		jQuery(this).parent().parent().children('div.wpsd-list').hide();
		jQuery('.wpsd-active').show();
	});
	jQuery('.wpsd-ending-soon').live('click',function(){
		jQuery('.wpsd-navdeal span').removeClass('active');
		jQuery(this).addClass('active');
		jQuery('.wpsd-navdeal').addClass('wpsd-nav1');
		jQuery('.wpsd-navdeal').removeClass('wpsd-nav2');
		jQuery(this).parent().parent().children('div.wpsd-list').hide();
		jQuery('.wpsd-ending-soon').show();
	});
	jQuery('.wpsd-upcoming-soon').live('click',function(){
		jQuery('.wpsd-navdeal span').removeClass('active');
		jQuery(this).addClass('active');
		jQuery('.wpsd-navdeal').addClass('wpsd-nav2');
		jQuery('.wpsd-navdeal').removeClass('wpsd-nav1');
		jQuery(this).parent().parent().children('div.wpsd-list').hide();
		jQuery('.wpsd-upcoming-soon').show();
	});
	
	//Update Social Count for Facebook to Database
	if ( typeof FB != 'undefined' ) { //check FB is not undefined
		
		FB.Event.subscribe("edge.create", function(href, widget){ 
			
			var wdata = new Array();
			var fbtype = '';
			
			if( widget.className != '') { //facebook button class
				
				var classname = widget.className.split(' ');
				
				if( classname[0] == 'fb-like') { //when facebook like button click
					fbtype = 'fb';
				} 
				if( classname[0] == 'fb-like-box'){ //when facebook fab page like button click
					fbtype = 'fan';
				}
			}
			
			if(widget.id != '') {
	        	wdata = widget.id.split("_");
	        }else {
				wdata[1] = '';
			} 
	        	
			var data = { 
						 	action		:	"wpsd_update_social_media_values",
						 	postid		:	wdata[1],
						 	type		:	fbtype
					  	};
				
			jQuery.post(Wpsd_Public.ajaxurl, data, function(response) {
				//alert(response);
				if(response == '1') {
					//window.location.reload();
						wpsd_reload();
				}
			});
		});
	}
	
	//Update Social Count for Twitter to Database
	if ( typeof twttr != 'undefined' ) { //check twitter is not undefined
		
		twttr.events.bind('tweet', function(event) {	      		
	  		
	  		var pid = jQuery(event.target.parentNode).attr('data-id');
	  		var wdata = new Array();
			
			if ('tweet' == event.type ) {		      			
	        	
				if(pid != '') {
					wdata = pid.split('_');
				} else {
					wdata[1] = '';
				}
				
				var data = { 
							 	action		:	"wpsd_update_social_media_values",
							 	postid		:	wdata[1],
							 	type		:	'tw'
						  	};
					
				jQuery.post(Wpsd_Public.ajaxurl, data, function(response) {
					
					if(response == '1') {
						//window.location.reload();
						wpsd_reload();
					}
					
				});
	  		}
	  	});
	}
});

//var tz=+5; 
var montharray = new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

function wpsdcountdown(yr,m,d,hr,min){

    theyear=yr;themonth=m;theday=d;thehour=hr;theminute=min;

    //var today=new Date();
    today.setSeconds(today.getSeconds()+1);
  
    var todayy=today.getYear();
	
    if (todayy < 1000) {todayy+=1900;}

    var todaym=today.getMonth();
    
    var todayd=today.getDate();

    var todayh=today.getHours();

    var todaymin=today.getMinutes();

    var todaysec=today.getSeconds();

    var todaystring1=montharray[todaym]+" "+todayd+", "+todayy+" "+todayh+":"+todaymin+":"+todaysec;
	
    var todaystring=Date.parse(todaystring1); //
    
    //var todaystring=Date.parse(todaystring1)+(tz*1000*60*60); 
   // alert(todaystring);
   
	
    var futurestring1=(montharray[m-1]+" "+d+", "+yr+" "+hr+":"+min);
	
   // var futurestring=Date.parse(futurestring1)-(today.getTimezoneOffset()*(1000*60));
     var futurestring=Date.parse(futurestring1);

    var dd=futurestring-todaystring;
	
    var dday=Math.floor(dd/(60*60*1000*24)*1);
	
    //var dhour=Math.floor((dd%(60*60*1000*24))/(60*60*1000)*1);
    
    var dhour=Math.floor((dd%(60*60*1000*24))/(60*60*1000)*1);

    var dmin=Math.floor(((dd%(60*60*1000*24))%(60*60*1000))/(60*1000)*1);

    var dsec=Math.floor((((dd%(60*60*1000*24))%(60*60*1000))%(60*1000))/1000*1);

    if(dday<=0&&dhour<=0&&dmin<=0&&dsec<=0){

        jQuery('.wpsd-days').text('00');

        jQuery('.wpsd-hrs').text('00');

        jQuery('.wpsd-mins').text('00');

        jQuery('.wpsd-secs').text('00');
        
        return;

    }

    else {
		if(dday < 10) {
			dday = '0'+dday; 
		}
		
		if(dhour < 10) {
			dhour = '0'+dhour; 
		}
		
		if(dmin < 10) {
			dmin = '0'+dmin; 
		}
		
		if(dsec < 10) {
			dsec = '0'+dsec; 
		}
		
    	jQuery('.wpsd-days').text(dday);

        jQuery('.wpsd-hrs').text(dhour);

        jQuery('.wpsd-mins').text(dmin);

        jQuery('.wpsd-secs').text(dsec);

        setTimeout("wpsdcountdown(theyear,themonth,theday,thehour,theminute)",1000);

    }
    
}
//function to return url with specific parameter
function wpsd_reload( url ) {
	
	var nowurl = '';
	var redirect = '';
	
	if( typeof url !== 'undefined' ) { //check url is set or not
		redirect = url;	
	} else {
		//current page url
		redirect = jQuery( location ).attr( 'href' );
	}
	// check caching is activated on site or not
	if( Wpsd_Public.caching == '1' ) {
		
		//check ? is exist in url or not
		var strexist = redirect.indexOf("?");
		
		if( strexist >= 0 ) {
			redirect = redirect + '&no-caching';
		} else {
			redirect = redirect + '?no-caching';
		}
	}
	
	//redirect to particular url
	window.location = redirect;
}