<?php
/**
 * Home Page Header See Deal Button
 *
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post,$wpsd_price,$product;

//price class
$price = $wpsd_price;

// get the value for deal price from the post meta box
$normalprice = $price->wpsd_get_normal_price();

// get the value for deal sale price from the post meta box
$saleprice = $product->get_price();

//product price
$productprice = $price->wpsd_get_price( $normalprice, $saleprice );

?>
<div class="wpsd-btn-large row-fluid"><a href="<?php echo get_permalink($post->ID);?>"><?php echo __('See Deal ','wpsd').$price->wpsd_get_display_price($productprice);?></a></div>