<?php 

/**
 * Template For Add to cart Claim Button
 * 
 * Handles to show buttons
 * when claim link and claim is set in metabox
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

//check add to cart button text
if ( ! $addcartbtntext ) return;

?>
	<a href="#ClaimOffer" role="button" data-toggle="modal" class="wpsd-add-to-cart-button single_add_to_cart_button button alt"><?php echo $addcartbtntext; ?></a>

		<div id="ClaimOffer" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="ShareforDiscountLabel" aria-hidden="true">
				
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				<h3 id="ShareforDiscountLabel"><?php echo $claimtitle; ?></h3>
			</div>
			<div class="modal-body">
				<?php echo wpautop( $claimcontent );?>
			</div>
			<div class="modal-footer">
				<button class="btn" data-dismiss="modal" aria-hidden="true"><?php _e( 'Close', 'wpsd' );?></button>
			</div>
				
	</div><!--#ClaimOffer-->