<?php 

/**
 * Template Terms & Conditions
 * 
 * Handles to show terms & conditions
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

?>
	<div class="wpsd-product-terms row-fluid">
		
		<?php 
			//do action for single footer content top
			do_action( 'wpsd_single_footer_top' );
		?>
		
	<div class="wpsd-address row-fluid">
	
		<?php 
			//do action fo show footer middle content before
			do_action( 'wpsd_single_footer_middle_content_before' );
		?>
		
		<div class="wpsd-business-address span6">
			
			<?php 
					//do action for show single footer middle content
					do_action( 'wpsd_single_footer_middle_content_center' );
			?>
		</div><!-- .wpsd-business-address -->
		
		<?php 
			//do action fo show footer middle content after
			do_action( 'wpsd_single_footer_middle_content_after' );
		?>
		
	</div><!-- .wpsd-address -->
	
	<?php 
		//do action fo show footer content before container
		do_action( 'wpsd_single_footer_bottom' );
	?>
	
</div><!-- .wpsd-product-terms-->