<?php

/**
 * Home page social sharing link
 * 
 * Handles to show social sharing link
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
	$html = '';
	if( !empty( $discount_content ) ) {
		$html .= '	<p><a href="#ShareforDiscount" role="button" data-toggle="modal">' . $discount_link_title . '</a></p>';
		
		$html .= '		<div id="ShareforDiscount" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="ShareforDiscountLabel" aria-hidden="true">';
						
		$html .= '	 		<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
								<h3 id="ShareforDiscountLabel">' . $discount_title . '</h3>
							</div>
							<div class="modal-body">
								' . wpautop( $discount_content ) . '
							</div>
							<div class="modal-footer">
								<button class="btn" data-dismiss="modal" aria-hidden="true">' . __( 'Close', 'wpsd' ) . '</button>
							</div>';
						
		$html .= 	'	</div><!--#ShareforDiscount-->';
	} else {
		$html .= '	<p>' . $discount_title . '</p>';
	}
	echo $html;
?>